Subject: bug#72526: Needs NEWS item and doc change

From: Tim Ruffing <[email-masked]>
Date: Wed, 08 Jan 2025 00:24:09 +0100

I think the first patch (commit a7a22e7) is a good change, but it
should get a NEWS item because it breaks existing configurations.

If you had this in your netrc file:
    machine www.example.com:443 port https login foo password bar
Then it needs to be changed to:
    machine www.example.com port https login foo password bar

See https://github.com/dengste/org-caldav/issues/320 for reports of
people running into this. This is true not only for netrc files but
also for other authinfo backends. (For example, I've run into this
issue with the GNOME keyring / Secret Service API.)  

Moreover, the docs need to be updated. doc/misc/auth.texi has an
example that uses `yourmachine.com:80`. This should be changed to
`yourmachine.com`. (Or better, `example.com` or some domain reserved
for documentation, see https://www.iana.org/help/example-domains ).  

Best,
Tim